apiVersion: v1
kind: Service
metadata:
  name: wso2ei-integrator-mgt
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-integrator-worker
spec:
  selector:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-integrator-worker
  sessionAffinity: ClientIP
  ports:
    - name: servlet-https
      port: 9443
      targetPort: 9443
      protocol: TCP

---
apiVersion: v1
kind: Service
metadata:
  name: wso2ei-integrator-gateway
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-integrator-worker
spec:
  selector:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-integrator-worker
  ports:
    - name: pass-through-http
      port: 8280
      targetPort: 8280
      protocol: TCP
    - name: pass-through-https
      port: 8243
      targetPort: 8243
      protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: wso2ei-analytics-worker
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-worker
spec:
  selector:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-worker
  ports:
    - name: data-receiver-2
      port: 7612
      targetPort: 7612
      protocol: TCP
    - name: http-default
      port: 9091
      targetPort: 9091
      protocol: TCP
    - name: siddhi-defaul
      port: 7070
      targetPort: 8082
      protocol: TCP
    - name: siddhi-msf4j-https
      port: 7443
      targetPort: 11501
      protocol: TCP
    - name: data-receiver-1
      port: 7712
      targetPort: 7712
      protocol: TCP
    - name: http-msf4j-https
      port: 9444
      targetPort: 9444
      protocol: TCP
    - name: data-receiver-binary-1
      port: 9711
      targetPort: 9711
      protocol: TCP
    - name: data-receiver-binary-2
      port: 9611
      targetPort: 9611
      protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: wso2ei-analytics-dashboard
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-dashboard
spec:
  selector:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-dashboard
  ports:
    -
      name: 'https'
      port: 9643
      protocol: TCP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wso2ei-analytics-worker
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-worker
spec:
  replicas: 1
  minReadySeconds: 30
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  selector:
    matchLabels:
      app: wso2-integrator
      version: "1"
      env: qa
      component: wso2ei-analytics-worker
  template:
    metadata:
      labels:
        app: wso2-integrator
        version: "1"
        env: qa
        component: wso2ei-analytics-worker
    spec:
      containers:
        - name: wso2ei-analytics-worker
          image: image-registry.openshift-image-registry.svc:5000/openshift/wso2ei-analytics-worker-mintic:6.6.0.1587999301000.1-centos7
          env:
            - name: JAVA_XMS
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_ANALITYCS_WORKER_JAVA_XMS
            - name: JAVA_XMX
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_ANALITYCS_WORKER_JAVA_XMX
            - name: TZ
              value: America/Bogota
            - name: NODE_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
            - name: WSO2_DRIVER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_DRIVER_DB
            - name: WSO2_URL_ANALYTICS_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_URL_ANALYTICS_DB
            - name: WSO2_USER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_USER_DB
            - name: WSO2_PASS_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_PASS_DB
          resources:
            limits:
              memory: "6Gi"
              cpu: 2
            requests:
              memory: "4Gi"
              cpu: 1
          livenessProbe:
            tcpSocket:
              port: 9444
            initialDelaySeconds: 10
            periodSeconds: 10
          readinessProbe:
            tcpSocket:
              port: 7712
            initialDelaySeconds: 10
            periodSeconds: 10
          lifecycle:
            preStop:
              exec:
                command:  ['sh', '-c', '${WSO2_SERVER_HOME}/bin/analytics-worker.sh stop']
          imagePullPolicy: Always
          securityContext:
            runAsUser: 802
          ports:
            -
              containerPort: 9444
              protocol: TCP
            -
              containerPort: 9091
              protocol: TCP
            -
              containerPort: 9711
              protocol: TCP
            -
              containerPort: 9611
              protocol: TCP
            -
              containerPort: 7712
              protocol: TCP
            -
              containerPort: 7612
              protocol: TCP
            -
              containerPort: 7070
              protocol: TCP
            -
              containerPort: 7443
              protocol: TCP
            -
              containerPort: 9894
              protocol: TCP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wso2ei-analytics-dashboard
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-analytics-dashboard
spec:
  replicas: 1
  minReadySeconds: 30
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: wso2-integrator
      version: "1"
      env: qa
      component: wso2ei-analytics-dashboard
  template:
    metadata:
      labels:
        app: wso2-integrator
        version: "1"
        env: qa
        component: wso2ei-analytics-dashboard
    spec:
      containers:
        - image: image-registry.openshift-image-registry.svc:5000/openshift/wso2ei-an-dash-mintic:6.6.0.1587999301000.1-centos7
          name: wso2ei-analytics-dashboard
          env:
            - name: JAVA_XMS
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_ANALITYCS_DASH_JAVA_XMS
            - name: JAVA_XMX
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_ANALITYCS_DASH_JAVA_XMX
            - name: TZ
              value: America/Bogota
            - name: WSO2_DRIVER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_DRIVER_DB
            - name: WSO2_URL_ANALYTICS_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_URL_ANALYTICS_DB
            - name: WSO2_URL_DASHBOARD_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_URL_DASHBOARD_DB
            - name: WSO2_URL_PERMISSION_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_URL_PERMISSION_DB
            - name: WSO2_USER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_USER_DB
            - name: WSO2_PASS_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_PASS_DB
            - name: WSO2_ADMIN_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_ANALITYCS_DASH_ADMIN_PASS            
          imagePullPolicy: Always
          ports:
            -
              containerPort: 9643
              protocol: "TCP"
          resources:
            limits:
              memory: "6Gi"
              cpu: 2
            requests:
              memory: "4Gi"
              cpu: 1
          livenessProbe:
            tcpSocket:
              port: 9643
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wso2ei-integrator-worker
  namespace: wso2ei-qa
  labels:
    app: wso2-integrator
    version: "1"
    env: qa
    component: wso2ei-integrator-worker
spec:
  replicas: 1
  minReadySeconds: 30
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  selector:
    matchLabels:
      app: wso2-integrator
      version: "1"
      env: qa
      component: wso2ei-integrator-worker
  template:
    metadata:
      labels:
        app: wso2-integrator
        version: "1"
        env: qa
        component: wso2ei-integrator-worker
    spec:
      containers:
        - name: wso2ei-integrator
          image: image-registry.openshift-image-registry.svc:5000/openshift/wso2ei-integrator-mintic:6.6.0.1587999301000.1-centos7
          env:
            - name: JAVA_XMS
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_JAVA_XMS
            - name: JAVA_XMX
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_JAVA_XMX
            - name: TZ
              value: America/Bogota
            - name: WSO2_DRIVER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_DRIVER_DB
            - name: WSO2_URL_USER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_URL_USER_DB
            - name: WSO2_URL_REGISTRY_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_URL_REGISTRY_DB
            - name: WSO2_USER_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_USER_DB
            - name: WSO2_PASS_DB
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_PASS_DB
            - name: WSO2_HOST_ANALYTICS_WORKER
              value: "wso2ei-analytics-worker"            
            - name: WSO2_HTTP_WSDLEPRPrefix
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_HTTP_WSDLEPRPrefix
            - name: WSO2_HTTPS_WSDLEPRPrefix
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_HTTPS_WSDLEPRPrefix
            - name: WSO2_HOST
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
            - name: WSO2_MGTHOST_NAME
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_MGTHOST_NAME
            - name: WSO2_KUBERNETES_NAMESPACE
              valueFrom:
                configMapKeyRef:
                  name: integrator-conf
                  key: WSO2_EI_KUBERNETES_NAMESPACE
            - name: WSO2_KUBERNETES_SERVICES
              value: wso2ei-integrator-mgt
            - name: WSO2_PRIMARY_KEYSTORE
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_PRIMARY_KEYSTORE
            - name: WSO2_PRIMARY_KEYSTORE_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_PRIMARY_KEYSTORE_PASS
            - name: WSO2_PRIMARY_KEYALIAS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_PRIMARY_KEYALIAS
            - name: WSO2_PRIMARY_KEYPASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_PRIMARY_KEYPASS
            - name: WSO2_INTERNAL_KEYSTORE
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_INTERNAL_KEYSTORE
            - name: WSO2_INTERNAL_KEYSTORE_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_INTERNAL_KEYSTORE_PASS
            - name: WSO2_INTERNAL_KEYALIAS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_INTERNAL_KEYALIAS
            - name: WSO2_INTERNAL_KEYPASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_INTERNAL_KEYPASS
            - name: WSO2_SSL_KEYSTORE
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_SSL_KEYSTORE
            - name: WSO2_SSL_KEYSTORE_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_SSL_KEYSTORE_PASS
            - name: WSO2_SSL_KEYPASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_SSL_KEYPASS
            - name: WSO2_CATALINA_KEYALIAS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_CATALINA_KEYALIAS
            - name: WSO2_TRUSTSTORE_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_TRUSTSTORE_PASS
            - name: WSO2_ADMIN_PASS
              valueFrom:
                secretKeyRef:
                  name: wso2-secret
                  key: WSO2_EI_ADMIN_PASS
          resources:
            limits:
              memory: "8Gi"
              cpu: 4
            requests:
              memory: "6Gi"
              cpu: 2
          livenessProbe:
            tcpSocket:
              port: 9443
            initialDelaySeconds: 100
            periodSeconds: 10
            failureThreshold: 3
          readinessProbe:
            tcpSocket:
              port: 9443
            initialDelaySeconds: 100
            periodSeconds: 10
          imagePullPolicy: Always
          ports:
            - containerPort: 8280
              protocol: TCP
            - containerPort: 8243
              protocol: TCP
            - containerPort: 9443
              protocol: TCP
          volumeMounts:
            - name: integrator-conf-axis2
              mountPath: /home/wso2carbon/wso2-config-volume/conf/axis2
            - name: integrator-conf-ldap
              mountPath: /home/wso2carbon/wso2-config-volume/repository/deployment/server/userstores
            - name: pvcwso2qa-carbonapps
              mountPath: /home/wso2carbon/wso2ei-6.6.0/repository/deployment/server/carbonapps
            - name: integrator-keystore
              mountPath: /home/wso2carbon/wso2ei-6.6.0/repository/resources/security
      volumes:
        - name: integrator-conf-axis2
          configMap:
            name: integrator-conf-axis2
        - name: integrator-conf-ldap
          configMap:
            name: integrator-conf-ldap
        - name: integrator-keystore
          secret:
            secretName: wso2-keystore
        - name: pvcwso2qa-carbonapps
          persistentVolumeClaim:
            claimName: pvcwso2qa
      serviceAccountName: "wso2svc-account"